# $Revision: 1.13 $, $Date: 2012/01/14 16:01:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-JobQueue
Summary:	POE::Component::JobQueue - a component to manage queues and worker pools
Summary(pl.UTF-8):	POE::Component::JobQueue - komponent do zarządzania kolejkami i robotnikami
Name:		perl-POE-Component-JobQueue
Version:	0.571
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4b6d96b08ac72fb4ba131017f36407a2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 1:1.007
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::JobQueue manages a finite pool of worker sessions as
they handle an arbitrarily large number of tasks.  It often is used as
a form of flow control, preventing a large group of tasks from
exhausting some sort of resource.

%description -l pl.UTF-8
POE::Component::JobQueue zarządza skończoną pulą sesji robotników
wykonujących dowolnie dużą liczbę zadań. Jest często używany jako
forma kontroli przepływu, nie pozwalając dużej grupie zadań na
wyczerpanie jakiegoś rodzaju zasobu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorlib}/%{pdir}/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-JobQueue.spec,v $
Revision 1.13  2012/01/14 16:01:24  zbyniu
- up to 0.571

Revision 1.12  2009/09/22 11:27:39  amateja
- updated to 0.570

Revision 1.11  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.9  2006/10/26 16:30:01  ankry
- ver. 0.55

Revision 1.8  2004/11/03 22:30:39  paladine
- formatting

Revision 1.7  2004/05/06 18:20:51  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/27 15:26:24  ankry
- new bconds

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
